:host {
    display: block;
    margin-bottom: 20px;

    .mat-card {
        padding: 10px 16px;

        form {
            display: flex;
            align-items: center;

            .mat-form-field {
                margin-right: 20px;
                flex: 1 1;
                width: 1px;

                ::ng-deep .mat-form-field-wrapper {
                    padding-bottom: 0;
                }
            }

            .mat-mini-fab {
                &:last-child {
                    margin-left: 10px;
                }
            }
        }
    }

    @media (max-width: 576px) {
        .mat-card {
            form {
                flex-wrap: wrap;
                justify-content: center;
    
                .mat-form-field {
                    min-width: 100%;
                    margin-right: 0;
                    margin-bottom: 10px;
                }
            }
        }
    }
}
